
/*PROPIEDADES EN CONTENEDOR PADRE PARA FLEX-BOX

- display: flex; para indicar que el contenedor es una caja flexible o tiene comportamiento 
de flex-box

- flex-direction: por defecto es row que es comportamiento de columna eje principal x
si se modifica sería column y el eje principal pasaría a ser el y. 
posibles valores row row-reserve, column column-reserve

- flex-wrap:; por defecto nowrap que es que no respeta el tamaño mínimo del contenedor hijo, 
lo hace más pequeño para que entren en la misma línea 
wrap es que respeta el tamaño mínimo y si no entra lo sitúa en otra línea

- justify-content: ; permite distribuir mis elementos en el eje x, que será principal
o secundario en función de flex-direction dado. 
posibles valores, flex-start, flex-end, center, space-around, space-between

- align-items:; permite distribuir mis elementos en el eje y que será principal o
secundario en función del flex-direction dado. Sirve para situar elementos que estén
en una única fila. 
posibles valores, flex-start, flex-end, center, stretch, baseline.

-  align-content:; sirve para distribuir elementos situados en varias filas. 

*/
.contenedor_padre{
	height: 350px;
	display: flex;
	flex-direction: row;
	flex-wrap: nowrap;
	justify-content: space-around;
	align-items: flex-start; 
	align-content: center;
	
}

.hijo1{

	background-color: green;
	height: 100%;

	/*PROPIEDADES DE FLEX EN CONTENEDORES HIJOS
	
	- align-self: ; me permite posicionar cada elemento hijo por separado. 
	valores flex-start,flex-end,center, stretch, baseline
	- flex-basis: px; equivale al width cuando flex-direction es row
	equivale al height cuando flex-direction es column

	- flex-grow: ; cuando puede crecer los items hijos, se le indicará el valor de crecimiento
	1 se le indica que los elementos hijos crecerán en proporción de 1, si se pone 2 entonces
	crece en proporción de 2. Valor sin unidades. 
	0 no crece mantiene el tamaño

	- flex-shrink: ; cuando puede encogerse el contenedor por defecto tiene el valor de 1
	1 disminuye su tamaño en una proporción para poder entrar en la misma línea. 
	Cuanto más grande sea el valor puesto, más disminuye su tamaño. Valor sin unidades. 
		
	- flex: ; aglutina tanto flex-grow como flex-shrink. 
	Grow primer elemento y sirve para que el tamaño del contenedor hijo 
	aumente hasta ocupar el 100% de la fila

	- order:; se le indica que el elemento se debe pintar primero, nos permite
	modificar el orden de los elementos creados en html.*/

}

.hijo2{
	background-color: blue;
/*	width: 200px;
	height: 100px;*/
	order:1;



}